query weatherBySiteCentroid($centroid: String!, $intervalType: interval_type!) {
  weather {
    forecasts(geometry: $centroid, interval_type: $intervalType) {
      id
      computed_at
      fetched_at
      icon
      temperature_max
      temperature_min
      precipitation_probability
      precipitation_intensity
      precipitation_type
      wind_speed
      wind_bearing
      wind_speed_max
      wind_speed_max_bearing
      wind_gust
      valid_from
      valid_to
      interval_type
      origin {
        # TODO: retrieve the ID as well once it is in prod
        name
        url
      }
      location {
        id
        name
      }
    }
    forecasts_implemented
    forecasts_interval_types
  }
}
